Skip to main content
POST
https://api.trillet.ai
/
v1
/
api
/
knowledgebase
Create Knowledge Base
curl --request POST \
  --url https://api.trillet.ai/v1/api/knowledgebase \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-workspace-id: <x-workspace-id>' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "_id": "665a1b2c3d4e5f6a7b8c9d0e",
  "name": "Product Documentation",
  "description": "All product-related documentation and FAQs",
  "workspaceId": "664a1b2c3d4e5f6a7b8c9d0e",
  "files": [],
  "createdAt": "2024-06-01T09:00:00.000Z",
  "updatedAt": "2024-06-01T09:00:00.000Z"
}

Headers

x-api-key
string
required
API key used for authenticating requests to the API.
x-workspace-id
string
required
Workspace identifier for the API.

Request Body

name
string
required
Name of the knowledge base.
description
string
Description of the knowledge base.

Response Fields

_id
string
Unique identifier for the newly created knowledge base.
name
string
Name of the knowledge base.
description
string
Description of the knowledge base.
workspaceId
string
Workspace ID associated with the knowledge base.
createdAt
string
Timestamp when the knowledge base was created.
{
  "_id": "665a1b2c3d4e5f6a7b8c9d0e",
  "name": "Product Documentation",
  "description": "All product-related documentation and FAQs",
  "workspaceId": "664a1b2c3d4e5f6a7b8c9d0e",
  "files": [],
  "createdAt": "2024-06-01T09:00:00.000Z",
  "updatedAt": "2024-06-01T09:00:00.000Z"
}